#include <QtCore/QtCore>
#include <QtScript/QtScript>
#include <qt_windows.h>
#include <QDebug>

DWORD WINAPI myThread(LPVOID lpParameter)
{
    Q_UNUSED (lpParameter);

    QScriptEngine engine;
    Q_UNUSED(engine)
    qDebug() << "Hi from thread " << QThread::currentThread();
    return 0;
}

int main(int argc, char* argv[])
{
    QCoreApplication app(argc, argv);
    qDebug() << QT_VERSION_STR;
    Q_UNUSED(app)

    QVector<HANDLE> handles;
    for (int i = 0; i < 2; ++i)
        handles << CreateThread(nullptr, 0, &myThread, nullptr, 0, nullptr);

    qDebug() << WaitForMultipleObjects(handles.count(), &handles[0], TRUE, INFINITE);
    for (QVector<HANDLE>::const_iterator it = handles.constBegin(), iend = handles.constEnd(); it != iend; ++it)
        CloseHandle(*it);
    qDebug() << "closed";
    Sleep(200);
    return 0;
}
